wake-up-neo.com

Xcode 4.2 (Snow Leopard) und iOS 5.1

Mögliches Duplizieren:
ios 5.1 mit xcode 4.2 für die iOS-Entwicklung

Ich habe mein iPhone auf iOS 5.1 aktualisiert. Mein Betriebssystem ist Snow Leopard.
Nun brauche ich die sdk 5.1, um mit xcode 4.2 zu arbeiten. 

Wo kann ich es herunterladen?
Irgendwelche Vorschläge?

Lösung: Downgrade auf ios5.0 oder Update auf Lion

21
Dany

Du kannst nicht.

Sie müssen auf Mac OS 10.7 Lion aktualisieren, um die neueste Version von Xcode mit dem 5.1 SDK zu erhalten.

Die letzte installierbare Version von Xcode auf Snow Leopard ist 4.2. Apple wirklich möchte, dass Entwickler über alles auf dem Laufenden sind, ob MacOS oder iOS.

26

Um Xcode 4.2 auf Snow Leopard zum Ausführen von Code auf einem Gerät mit 5.1 zu erhalten, können Sie Folgendes ausführen:

Wenn Sie einen anderen Mac mit Lion + XCode 4.3.1 verwenden, können Sie die Dateien kopieren von:

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/5.1 (9B176)

auf den entsprechenden Platz auf Ihrem SL Mac: wahrscheinlich

/Developer/Platforms/iPhoneOS.platform/DeviceSupport

kopieren Sie auch version.plist von der Lion-Maschine im Ordner iPhoneOS.platform auf die SL-Maschine.

Starten Sie XCode erneut auf der SL-Maschine und schließen Sie die Geräte erneut an. Es scheint zufrieden zu sein.

[Bearbeiten: Wenn Sie keinen Zugriff auf einen Computer mit Lion + 4.3.1 haben, können Sie die Dateien von der 4.3.1-DMG herunterladen, die von Apple hier heruntergeladen werden kann: http://adcdownload.Apple.com /Developer_Tools/xcode_4.3.1_for_lion/xcode_4.3.1_for_lion.dmg

mounten Sie dann die DMG, zeigen Sie den Paketinhalt auf das XCode-Symbol, und gehen Sie zu drill 

/Volumes/Xcode/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport to 

finde die oben genannten Dateien.]

In Schritten:

  1. Stoppen Sie XCode auf der SL-Maschine
  2. Trennen Sie Ihr iPhone
  3. Mounten Sie das Xcode 4.3.1-Image (.dmg, das Sie von der Apple-Website herunterladen können).
  4. Paketinhalt des Xcodes anzeigen 4.3.1
  5. XCode/Xcode/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/5.1 (9B176) in <HD>/Developer/Platforms/iPhoneOS.platform/DeviceSupport kopieren
  6. XCode/Xcode/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/version.plist in <HD>/Developer/Platforms/iPhoneOS.platform/ kopieren
  7. Starten Sie Xcode
  8. verbinden Sie Ihr iPhone und es sollte funktionieren.
55
Richard Groves

Wenn Sie Snow Leopard beibehalten möchten, laden Sie die iOS 5.0.1-Firmware Ihres Geräts über diesen Link herunter: http://www.iphonefirmware.com/firmwares-download .

Führen Sie eine manuelle Wiederherstellung in iTunes durch.

Ich habe es heute (8. März 2012) auf meinem iPad 2 gemacht und es funktioniert, Apple scheint diese iOS-Version immer noch zu signieren. Ich denke nicht lange, also mach es schnell. 

1
booker

iOS 5.1 ist nur in xCode 4.3.1 und nur in Lion verfügbar.

Sie können versuchen, die Version Ihres Macs zu ändern und die Installation von 4.3.1 durchzuführen, aber ich kann Ihnen nicht versichern, dass sie funktionieren wird ...

0
Antonio MG